package fr.irisa.cairn.jnimap.isl;

import java.util.HashMap;
import java.util.Map;

/*** PROTECTED REGION ID(ISLScheduleNodeType_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */

public class ISLScheduleNodeType  {

	int value;
	String name;

	/*** PROTECTED REGION ID(ISLScheduleNodeType_values) DISABLED START ***/
	public static final int ISL_SCHEDULE_NODE_BAND = 0;
	public static final int ISL_SCHEDULE_NODE_CONTEXT = 1;
	public static final int ISL_SCHEDULE_NODE_DOMAIN = 2;
	public static final int ISL_SCHEDULE_NODE_EXPANSION = 3;
	public static final int ISL_SCHEDULE_NODE_EXTENSION = 4;
	public static final int ISL_SCHEDULE_NODE_FILTER = 5;
	public static final int ISL_SCHEDULE_NODE_LEAF = 6;
	public static final int ISL_SCHEDULE_NODE_GUARD = 7;
	public static final int ISL_SCHEDULE_NODE_MARK = 8;
	public static final int ISL_SCHEDULE_NODE_SEQUENCE = 9;
	public static final int ISL_SCHEDULE_NODE_SET = 10;
	/*** PROTECTED REGION END ***/
	
	public static ISLScheduleNodeType isl_schedule_node_band = new ISLScheduleNodeType("isl_schedule_node_band", ISL_SCHEDULE_NODE_BAND);
	public static ISLScheduleNodeType isl_schedule_node_context = new ISLScheduleNodeType("isl_schedule_node_context", ISL_SCHEDULE_NODE_CONTEXT);
	public static ISLScheduleNodeType isl_schedule_node_domain = new ISLScheduleNodeType("isl_schedule_node_domain", ISL_SCHEDULE_NODE_DOMAIN);
	public static ISLScheduleNodeType isl_schedule_node_expansion = new ISLScheduleNodeType("isl_schedule_node_expansion", ISL_SCHEDULE_NODE_EXPANSION);
	public static ISLScheduleNodeType isl_schedule_node_extension = new ISLScheduleNodeType("isl_schedule_node_extension", ISL_SCHEDULE_NODE_EXTENSION);
	public static ISLScheduleNodeType isl_schedule_node_filter = new ISLScheduleNodeType("isl_schedule_node_filter", ISL_SCHEDULE_NODE_FILTER);
	public static ISLScheduleNodeType isl_schedule_node_leaf = new ISLScheduleNodeType("isl_schedule_node_leaf", ISL_SCHEDULE_NODE_LEAF);
	public static ISLScheduleNodeType isl_schedule_node_guard = new ISLScheduleNodeType("isl_schedule_node_guard", ISL_SCHEDULE_NODE_GUARD);
	public static ISLScheduleNodeType isl_schedule_node_mark = new ISLScheduleNodeType("isl_schedule_node_mark", ISL_SCHEDULE_NODE_MARK);
	public static ISLScheduleNodeType isl_schedule_node_sequence = new ISLScheduleNodeType("isl_schedule_node_sequence", ISL_SCHEDULE_NODE_SEQUENCE);
	public static ISLScheduleNodeType isl_schedule_node_set = new ISLScheduleNodeType("isl_schedule_node_set", ISL_SCHEDULE_NODE_SET);
	
	public static ISLScheduleNodeType build(long value) {
		return getFromInt((int) value) ;
	}
	
	
	public static  ISLScheduleNodeType getFromInt(int value) {
		/*** PROTECTED REGION ID(ISLScheduleNodeType_getValues) DISABLED START ***/
		switch(value) {
			case ISL_SCHEDULE_NODE_BAND:
			return isl_schedule_node_band;
			case ISL_SCHEDULE_NODE_CONTEXT:
			return isl_schedule_node_context;
			case ISL_SCHEDULE_NODE_DOMAIN:
			return isl_schedule_node_domain;
			case ISL_SCHEDULE_NODE_EXPANSION:
			return isl_schedule_node_expansion;
			case ISL_SCHEDULE_NODE_EXTENSION:
			return isl_schedule_node_extension;
			case ISL_SCHEDULE_NODE_FILTER:
			return isl_schedule_node_filter;
			case ISL_SCHEDULE_NODE_LEAF:
			return isl_schedule_node_leaf;
			case ISL_SCHEDULE_NODE_GUARD:
			return isl_schedule_node_guard;
			case ISL_SCHEDULE_NODE_MARK:
			return isl_schedule_node_mark;
			case ISL_SCHEDULE_NODE_SEQUENCE:
			return isl_schedule_node_sequence;
			case ISL_SCHEDULE_NODE_SET:
			return isl_schedule_node_set;
				default :
					return null;
			}
		/*** PROTECTED REGION END ***/
	}

	private ISLScheduleNodeType(String name, int value) {
		this.value=value;
		this.name=name;
	}
	
	public int getValue() {
		return this.value;
	}

	public String getName() {
		return this.name;
	}
	
}
